(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15737,        372]
NotebookOptionsPosition[     15261,        353]
NotebookOutlinePosition[     15662,        370]
CellTagsIndexPosition[     15619,        367]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"pom", "=", "pom"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Remove", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"cm", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mm", "=", 
   RowBox[{"0.1", "cm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Off", "[", 
    RowBox[{"General", "::", "\"\<obspkg\>\""}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"<<", "Miscellaneous`ChemicalElements`"}], ";"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Needs", "[", "\"\<VectorAnalysis`\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.55784169578125*^9, 3.557841708671875*^9}, {
   3.558588210265625*^9, 3.558588211*^9}, {3.558588351234375*^9, 
   3.55858835228125*^9}, 3.558588402953125*^9, {3.558591306828125*^9, 
   3.558591309078125*^9}, 3.559535787108495*^9, {3.561701504521947*^9, 
   3.561701507124096*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"prurezAl", "=", 
   RowBox[{"1600", 
    SuperscriptBox["mm", "2"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vnejsiPrumer", "=", 
   RowBox[{"103.1", "mm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"impedance", "=", "0.0186"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"impedancenakm", "[", "T_", "]"}], ":=", 
  RowBox[{"R", "/.", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       FractionBox["impedance", 
        SuperscriptBox["10", "3"]], "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"4.0", "*", 
          SuperscriptBox["10", 
           RowBox[{"-", "3"}]], "*", 
          RowBox[{"(", 
           RowBox[{"T", "-", "20"}], ")"}]}]}], ")"}]}], "\[Equal]", "R"}], 
     "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dAl", "=", 
   RowBox[{"51", "mm"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tlouskaIzolace", "=", 
   RowBox[{"0.5", 
    RowBox[{"(", 
     RowBox[{"vnejsiPrumer", "-", "dAl"}], ")"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rAl", "=", 
   RowBox[{"0.5", "*", "dAl"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rmax", "=", 
   RowBox[{"rAl", "+", "tlouskaIzolace"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"S", "=", 
   FractionBox[
    RowBox[{
     SuperscriptBox["dAl", "2"], "*", "Pi"}], "4"]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rocpPlast", "=", 
   RowBox[{"2.18", "*", 
    SuperscriptBox["10", "6"]}]}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"MAX", "-", 
     RowBox[{"6.23", "*", 
      SuperscriptBox["10", "6"]}]}], ",", 
    RowBox[{"MIN", "-", 
     RowBox[{"2.18", "*", 
      SuperscriptBox["10", "6"]}]}], ",", 
    RowBox[{
     RowBox[{"pri", " ", "MIN", " ", "\[Lambda]Plast"}], "-", 
     RowBox[{"3.85", "*", 
      SuperscriptBox["10", "6"]}]}], ",", 
    RowBox[{
    "pri", " ", "MIN", " ", "rocpPlast", " ", "je", " ", "MAX", " ", 
     "\[Lambda]Plast"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"\[Lambda]Plast", "=", "0.275"}], ";", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"MAX", "-", "0.336"}], ",", 
    RowBox[{"MIN", "-", "0.275"}], ",", 
    RowBox[{
     RowBox[{"pri", " ", "MAX", " ", "rocpPlast"}], "-", "0.292"}], ",", 
    RowBox[{
    "pri", " ", "MAX", " ", "\[Lambda]Plast", " ", "je", " ", "MIN", " ", 
     "rocpPlast"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"prechod", "[", 
    RowBox[{"vlevo_", ",", "vpravo_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"res", ",", "a", ",", "b"}], "}"}], ",", 
     RowBox[{
      RowBox[{"res", "=", 
       RowBox[{"Solve", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{
           RowBox[{"a", "-", "b"}], "\[Equal]", "vlevo"}], ",", 
          RowBox[{
           RowBox[{"a", "+", "b"}], "\[Equal]", "vpravo"}]}], "}"}], "]"}]}], 
      ";", 
      RowBox[{
       RowBox[{"a", "+", 
        RowBox[{"b", "*", 
         RowBox[{"Tanh", "[", 
          FractionBox[
           RowBox[{"r", "-", "rAl"}], 
           RowBox[{"0.1", "mm"}]], "]"}]}]}], "/.", 
       RowBox[{"res", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]", "=", 
   RowBox[{"prechod", "[", 
    RowBox[{"\[Lambda]Al", ",", "\[Lambda]Plast"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.557841125375*^9, 3.557841150921875*^9}, {
   3.5578411900625*^9, 3.557841202546875*^9}, {3.5578412953125*^9, 
   3.55784140921875*^9}, {3.557841494234375*^9, 3.55784157965625*^9}, {
   3.557841756265625*^9, 3.557841787953125*^9}, {3.557841831765625*^9, 
   3.55784210165625*^9}, {3.5578421965*^9, 3.5578422260625*^9}, {
   3.557842257484375*^9, 3.557842308515625*^9}, {3.5578424236875*^9, 
   3.557842550875*^9}, {3.557842735421875*^9, 3.5578428321875*^9}, {
   3.55784291134375*^9, 3.5578429455625*^9}, {3.55784303590625*^9, 
   3.557843089484375*^9}, {3.55784370965625*^9, 3.55784371*^9}, {
   3.5578469385*^9, 3.557846986625*^9}, 3.557847270375*^9, 
   3.558588222875*^9, {3.5585884581875*^9, 3.558588498890625*^9}, {
   3.55858870903125*^9, 3.5585887424375*^9}, {3.55858889321875*^9, 
   3.558588895375*^9}, {3.55858895796875*^9, 3.558589030984375*^9}, {
   3.558589064015625*^9, 3.55858907075*^9}, {3.55858914009375*^9, 
   3.55858922215625*^9}, {3.558589349328125*^9, 3.55858945753125*^9}, {
   3.55858953234375*^9, 3.558589608171875*^9}, {3.55858964078125*^9, 
   3.55858975075*^9}, {3.558589781796875*^9, 3.558589853421875*^9}, 
   3.5585931004375*^9, {3.55859318040625*^9, 3.558593189421875*^9}, 
   3.558593494421875*^9, {3.558852807296875*^9, 3.558852807828125*^9}, {
   3.558852969828125*^9, 3.558852976390625*^9}, {3.558853055984375*^9, 
   3.5588530564375*^9}, {3.558853088015625*^9, 3.558853095*^9}, 
   3.5588531621875*^9, 3.55885412234375*^9, {3.55885476565625*^9, 
   3.5588547774375*^9}, {3.55885507725*^9, 3.558855100328125*^9}, {
   3.55953535989806*^9, 3.5595353696106157`*^9}, 3.559535742246929*^9, {
   3.559536054939814*^9, 3.5595360639443293`*^9}, {3.5595487877000866`*^9, 
   3.5595488532248344`*^9}, {3.5595495373589644`*^9, 3.55954954025213*^9}, {
   3.55954983851819*^9, 3.5595499095772543`*^9}, {3.559550036134493*^9, 
   3.559550076167783*^9}, {3.559550157994463*^9, 3.5595501605776105`*^9}, {
   3.5595514318203216`*^9, 3.5595514331243963`*^9}, {3.55955154753294*^9, 
   3.5595515492540383`*^9}, {3.5595517476783876`*^9, 3.559551750242534*^9}, {
   3.559552096539341*^9, 3.559552106180893*^9}, {3.5600556381635003`*^9, 
   3.560055678906831*^9}, {3.560055722901347*^9, 3.560055736965152*^9}, {
   3.5600559182695217`*^9, 3.5600559426069136`*^9}, {3.560056446197717*^9, 
   3.5600564476117983`*^9}, {3.560056536929907*^9, 3.560056566321588*^9}, {
   3.560057168736044*^9, 3.560057168876052*^9}, {3.560057213632612*^9, 
   3.560057220103982*^9}, 3.5600635052404714`*^9, {3.560678218686577*^9, 
   3.5606783477619596`*^9}, {3.5606783784997177`*^9, 
   3.5606784529979787`*^9}, {3.5606788076632643`*^9, 
   3.5606788167717857`*^9}, {3.561636827478444*^9, 3.561636845963501*^9}, {
   3.5616374125809097`*^9, 3.561637418564252*^9}, {3.5616376437441316`*^9, 
   3.561637659207016*^9}, {3.561637894666484*^9, 3.561637895393525*^9}, {
   3.5617012596919436`*^9, 3.561701286750491*^9}, {3.5617015388329096`*^9, 
   3.5617015955091515`*^9}, {3.5617055798810444`*^9, 
   3.5617056246186028`*^9}, {3.561705769586895*^9, 3.5617057892330184`*^9}, {
   3.5617058225409236`*^9, 3.5617058241990185`*^9}, {3.5617059256048183`*^9, 
   3.561705952797374*^9}, {3.561708870095234*^9, 3.56170888715821*^9}, {
   3.5617090510465837`*^9, 3.561709063904319*^9}, {3.5617109000703416`*^9, 
   3.5617109064887085`*^9}, {3.561885708967443*^9, 3.561885738705144*^9}, {
   3.561885797682517*^9, 3.56188593532539*^9}, {3.5618862077879744`*^9, 
   3.5618862082009974`*^9}, {3.561971572412361*^9, 3.561971628673579*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"poc", "=", 
   RowBox[{
    RowBox[{"T", "[", 
     RowBox[{"r", ",", "0"}], "]"}], "\[Equal]", "Tvzduch"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"proud", "=", 
   RowBox[{"1000.", "+", 
    RowBox[{"0", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2.", "*", "Pi", "*", 
       FractionBox["t", 
        RowBox[{"5", "*", "minuta"}]]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tvzduch", "=", 
   RowBox[{"10", "+", 
    RowBox[{"0", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2.", "*", "Pi", "*", 
       FractionBox["t", 
        RowBox[{"17", "*", "minuta"}]]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Tsteny", "=", 
   RowBox[{"8", "+", 
    RowBox[{"0", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2.", "*", "Pi", "*", 
       FractionBox["t", 
        RowBox[{"0.1", "*", "hodina"}]]}], "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.558589951453125*^9, 3.558589993875*^9}, {
   3.5585913613125*^9, 3.558591375828125*^9}, {3.558593197875*^9, 
   3.55859319996875*^9}, {3.558593234359375*^9, 3.55859337428125*^9}, {
   3.558593410515625*^9, 3.558593433140625*^9}, {3.558593509640625*^9, 
   3.558593509859375*^9}, {3.5585935768125*^9, 3.558593664390625*^9}, {
   3.558691500875*^9, 3.558691501953125*^9}, {3.55869154315625*^9, 
   3.558691688140625*^9}, {3.5586918265625*^9, 3.558691880109375*^9}, {
   3.558692060671875*^9, 3.558692100328125*^9}, {3.558692138546875*^9, 
   3.5586921518125*^9}, {3.55885345534375*^9, 3.558853524640625*^9}, {
   3.558853675625*^9, 3.558853840140625*^9}, 3.558853931984375*^9, {
   3.55885399034375*^9, 3.55885402871875*^9}, {3.5588540673125*^9, 
   3.5588540936875*^9}, {3.55885413825*^9, 3.558854237671875*^9}, {
   3.55885427284375*^9, 3.558854274953125*^9}, {3.558854792453125*^9, 
   3.558854796890625*^9}, {3.558854937125*^9, 3.558854961171875*^9}, {
   3.55885503884375*^9, 3.5588550639375*^9}, {3.55885510515625*^9, 
   3.558855121734375*^9}, {3.55904466865625*^9, 3.559044675953125*^9}, {
   3.559044706140625*^9, 3.559044733671875*^9}, {3.5590454008125*^9, 
   3.559045561765625*^9}, {3.559045671703125*^9, 3.559045677734375*^9}, {
   3.559049424203125*^9, 3.5590495335625*^9}, {3.559049583*^9, 
   3.5590496866875*^9}, {3.5595456414311304`*^9, 3.559545665160487*^9}, {
   3.5595459716560183`*^9, 3.559545971948035*^9}, {3.559549992621004*^9, 
   3.559550005685751*^9}, {3.5595501072835627`*^9, 3.5595501076355824`*^9}, {
   3.559550499525997*^9, 3.559550500057028*^9}, {3.5595505541511216`*^9, 
   3.559550554730155*^9}, {3.5595511598287644`*^9, 3.559551160783819*^9}, {
   3.5595512171570435`*^9, 3.559551237740221*^9}, 3.5595513636584225`*^9, {
   3.5595515076676598`*^9, 3.559551543974736*^9}, {3.5595515847370677`*^9, 
   3.559551587146206*^9}, {3.5595519271656537`*^9, 3.559551927589678*^9}, 
   3.559552048746608*^9, 3.5595521635921764`*^9, {3.5595521954089966`*^9, 
   3.5595521958480215`*^9}, {3.559553481374549*^9, 3.559553484228712*^9}, {
   3.560055773361233*^9, 3.5600558250261884`*^9}, {3.5600558839575586`*^9, 
   3.5600558864327*^9}, 3.5600631378614583`*^9, {3.5600631780377564`*^9, 
   3.5600631816069603`*^9}, {3.5606793912026415`*^9, 3.560679391950684*^9}, {
   3.560679486577096*^9, 3.560679486962118*^9}, {3.560679601949695*^9, 
   3.5606796056179047`*^9}, {3.5606796702095995`*^9, 
   3.5606796709496417`*^9}, {3.5607597847974787`*^9, 
   3.5607597850724945`*^9}, {3.560759836584441*^9, 3.5607598372834806`*^9}, 
   3.5607600732229757`*^9, {3.5616371520690093`*^9, 3.5616371552761927`*^9}, {
   3.5616372915819893`*^9, 3.561637291742998*^9}, 3.561666085364899*^9, 
   3.561666587101597*^9, 3.561666728470683*^9, {3.5616667686029787`*^9, 
   3.561666772597207*^9}, {3.5616672838124466`*^9, 3.5616672957681303`*^9}, {
   3.5617016415807867`*^9, 3.5617016550315557`*^9}, 3.5617092873641*^9, {
   3.561709387945853*^9, 3.56170939120704*^9}, 3.561710789649026*^9, {
   3.561711060943543*^9, 3.561711063207672*^9}, 3.5618689843088474`*^9, 
   3.5618692972357454`*^9, 3.56187622987027*^9, {3.5618837214687643`*^9, 
   3.561883725650004*^9}, {3.5618859860462914`*^9, 3.561886006678471*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"stredStineni", "=", 
     RowBox[{"rmax", "-", 
      RowBox[{"10", "mm"}]}]}], ";"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"stredStineni", "=", 
     RowBox[{"0.5", "*", 
      RowBox[{"(", 
       RowBox[{"88", "+", "1.72"}], ")"}], "mm"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tFiktivni", "=", 
     RowBox[{"1.72", "mm"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RStineni1m", "=", 
     FractionBox["0.0936", 
      SuperscriptBox["10", "3"]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"IStineni", "=", "29.6"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"SStineni", "=", 
     RowBox[{
      FractionBox[
       SuperscriptBox["tFiktivni", "2"], "4"], "*", "Pi", "*", "90"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"QVStineni", "=", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["IStineni", "2"], "*", "RStineni1m"}], "SStineni"], 
      "*", "prechodStineni"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.560678942818995*^9, 3.5606789823232546`*^9}, {
   3.560679033447179*^9, 3.560679041426635*^9}, {3.5606790976138487`*^9, 
   3.56067916529672*^9}, {3.561702194082388*^9, 3.5617021963685184`*^9}, 
   3.5617022530437603`*^9, {3.5617030542515864`*^9, 3.5617030624860573`*^9}, 
   3.5617033643403225`*^9, {3.561704813206193*^9, 3.561704813453207*^9}, {
   3.561709998093752*^9, 3.5617100313176517`*^9}, {3.561710166687394*^9, 
   3.561710197520158*^9}, {3.5617103517559795`*^9, 3.5617103609015026`*^9}, {
   3.5617115580759773`*^9, 3.561711579228187*^9}, 3.5617122572549677`*^9, {
   3.561886020592267*^9, 3.561886034023035*^9}, {3.5619717107972765`*^9, 
   3.5619717111162944`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Epsilon]", "=", "0.9"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]", "=", 
   RowBox[{"5.67", "*", 
    SuperscriptBox["10", 
     RowBox[{"-", "8"}]]}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.561701137463952*^9, {3.561701685089275*^9, 3.5617016899775543`*^9}, {
   3.5617017391753683`*^9, 3.561701746361779*^9}, 3.5617021020961266`*^9, 
   3.5617122864266367`*^9, {3.561886041488462*^9, 3.5618860668209114`*^9}}]
},
WindowSize->{1034, 561},
WindowMargins->{{75, Automatic}, {9, Automatic}},
ShowSelection->True,
Magnification->1.3000000715255737`,
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1211, 32, 245, "Input"],
Cell[1759, 54, 7028, 158, 466, "Input"],
Cell[8790, 214, 4178, 77, 165, "Input"],
Cell[12971, 293, 1808, 45, 245, "Input"],
Cell[14782, 340, 475, 11, 63, "Input"]
}
]
*)

(* End of internal cache information *)
